Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Constant_function Class Reference

A class that encodes a constant function from R^d to R^k. This class does not have any implicit manifold in correspondence. More...

`#include <include/gudhi/Functions/Constant_function.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point. The value is constant.
std::size_t | amb_d () const
| Returns the domain dimension. Same as the ambient dimension of the sphere.
std::size_t | cod_d () const
| Returns the codomain dimension. Same as the codimension of the sphere.
Eigen::VectorXd | seed () const
| No seed point is available. Throws an exception on evocation.
| Constant_function (std::size_t d, std::size_t k, const Eigen::VectorXd &value)
| Constructor of a constant function from R^d to R^m.

## Detailed Description

A class that encodes a constant function from R^d to R^k. This class does not have any implicit manifold in correspondence.

## Constructor & Destructor Documentation

## Constant_function()

Gudhi::coxeter_triangulation::Constant_function::Constant_function | ( | std::size_t | d,
|  | std::size_t | k,
|  | const Eigen::VectorXd & | value )

inline

Constructor of a constant function from R^d to R^m.

Parameters

  [in] | d | The domain dimension.
  [in] | k | The codomain dimension.
  [in] | value | The constant value of the function.

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::Constant_function::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point. The value is constant.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Constant_function.h